Page MenuHomePhabricator

Page properties: Change pp_sortkey from float to double
Closed, DeclinedPublic

Description

We would like to change pp_sortkey from float to double.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 5:44 PM

Change 223552 had a related patch set uploaded (by Mattflaschen):
Make page_props.pp_sortkey a double instead of float

https://gerrit.wikimedia.org/r/223552

Danny_B moved this task from Unsorted to Change on the Schema-change board.Apr 29 2016, 10:24 PM

Change 223552 abandoned by Matthias Mullie:
Make page_props.pp_sortkey a double instead of float

https://gerrit.wikimedia.org/r/223552

Reedy added a subscriber: Reedy.

Do we still want to?

Reedy changed the task status from Open to Stalled.Apr 26 2017, 2:30 PM
Krinkle renamed this task from Change pp_sortkey from float to double to Page properties: Change pp_sortkey from float to double.May 4 2017, 1:27 AM
Krinkle edited projects, added MediaWiki-Page-editing; removed Wikimedia-Rdbms.
Aklapper changed the task status from Stalled to Open.May 10 2020, 8:57 AM

The previous comments don't explain what/who exactly this task is stalled on ("If a report is waiting for further input (e.g. from its reporter or a third party) and can currently not be acted on"). Hence resetting task status. This task should either be declined (if not wanted), or resolved (@matthiasmullie is set as task assignee).

matthiasmullie closed this task as Declined.May 10 2020, 12:52 PM

There is no use case for this change anymore, so it’s not worth pursuing